*:*****************************************************************************
*:
*:  Prozedurdatei: C:\FOXPRO25\SCR_TEST\WIN_COL.PRG
*:         System: DOS-Windows-Maskenkonvertierung
*:          Autor: Rudolf Vogel
*:Letzte nderung: 27.03.1994 um 10:42:34
*:
*:Eingestellt von: _QOO0MTFR4()       (Funktion in WIN_COL.SPR)
*:
*:        Benutzt: &DATEI             
*:
*:    Dokumentiert 10:45:16                                FoxDoc Version 3.00a
*:*****************************************************************************
dateien = 0
SET EXCL ON

DIME temp_arr(10,5)
* alle scx-files in array temp_arr einlesen

IF EMPTY( SYS(2000,'*.scx'))
   ?? CHR(7)
   WAIT "There are no *.scx files in the selected directory.." WIND
   RETURN
ENDIF
=ADIR(temp_arr,"*.scx")

dateien= ALEN(temp_arr) /5
counter = 1

DO WHILE counter <= dateien && array durchlaufen
   datei = temp_arr(counter,1)
   ? "Processing " + datei + ", file " + LTRIM(STR(counter)) + " of " + LTRIM(STR(dateien))
   USE &datei
   
  * if windows code found, remove it to enable automatic conversion when screen
  * is opened the next time
   IF FIELD(1) = "PLATFORM"
      DELE FOR platform = "WINDOWS"
      PACK
   ENDIF
   
   CLOS DATA
   
   ? "Open file for automatic conversion..."
   punkt = AT(".", datei)
   screen_name = LEFT(datei,punkt-1)
   
   * keyboard commands for automatic dos-windows conversion
   * Keyboardkommandos, um die Konvertierung automatisch durchlaufen zu lassen
   KEYBOARD '{TAB}'
   KEYBOARD '{TAB}'
   KEYBOARD '{ENTER}'
   KEYBOARD '{CTRL-W}'
   MODI SCRE &screen_name
   
   
  * manipulate windows screen code
   * Windows-Maskencode manipulieren
   
   * objtype 1 = Maske global
   * objtype 5 = Say
   * objtype 7 = Rahmen
   * objtype 11 = Listenfeld
   * objtype 12 = Schaltflche
   * objtype 13 = optionsfeld
   * objtype 14 = Markierfeld
   * objtype 15 = Getfeld
   * objtype 16 = popup
   
   USE &datei
   SET FILT TO platform = "WINDOWS"
   
   * farben neutralisieren
   * eliminate colours
   REPL ALL penred WITH -1 ,;
      pengreen WITH -1,;
      penblue WITH -1,;
      fillred WITH -1,;
      fillgreen WITH -1,;
      fillblue WITH -1,;
      colorpair WITH ""
   
   * setze grauen Hintergrund fr Maske
   * set a grey background for mask
   GO TOP && objtype 1,  globale Maskeneinstellungen
   REPL BORDER WITH 2 , ;
      fillred WITH 192, ;
      fillblue WITH 192, ;
      fillgreen WITH 192
   
   * Zentriere Bildschirmmaske, auer wenn das Feld Comment nicht leer ist
   * center screen, unless field comment is not empty
   IF EMPTY(comment)
      REPL CENTER WITH .T. && zentrieren
   ELSE
      REPL CENTER WITH .F. && nicht zentrieren
   ENDIF
   
   * setze weien Hintergrund und blaue Schrift fr get-Felder
   * set white background and blue forground for get-fields
   REPL ALL penblue WITH 255 ,;
      penred WITH 0, ;
      pengreen WITH 0,;
      fillred WITH 255,;
      fillgreen WITH 255,;
      fillblue WITH 255;
      FOR objtype = 15 && getfelder
   
   * setze grauen Hintergrund fr Markierfelder, Schrift ist sowieso schwarz
   * set a grey background for 
   REPL fillred WITH 192,;
      fillgreen WITH 192,;
      fillblue WITH 192;
      FOR objtype = 14 && Markierfelder
   
   * setze grauen Hintergrund fr Optionsfelder, Schrift ist sowieso schwarz
   * set grey background for option fields
   REPL fillred WITH 192,;
      fillgreen WITH 192,;
      fillblue WITH 192;
      FOR objtype = 13 && Optionsfelder
   
   * kstchen eliminieren
   * eliminate boxes
   DELE FOR objtype = 7
   
   PACK
   CLOS DATA
   counter = counter + 1
ENDDO

CLOS DATA
*: EOF: WIN_COL.PRG
